clear 
set obs 57
egen i = seq(), to(19)
egen x = seq(), block(19) 
label def x 1 "p = 0.25" 2 "p = 0.5" 3 "p = 0.75"
label val x x 
scalar n = 19
local la `"0 0.1 "0.1" 0.2 "0.2" "'
gen p = cond(x == 1, 0.25, cond(x == 2, 0.5, 0.75))
gen w = ibeta((n + 1) * p, (n + 1)*(1 - p), i/n) - ibeta((n + 1)*p, (n + 1)*(1 - p), (i  - 1)/n)
twoway dropline w i , by(x, row(1) note(n = 19, size(*1.2))) ysc(r(0 0.25)) yla(`la', ang(h)) xla(1(3)19) yti(weight) xti(rank i) saving(hdqw, asis replace)
